Author Topic: Nspire 2.1 out, don't install it!  (Read 65698 times)

0 Members and 1 Guest are viewing this topic.

Offline critor

  • Editor
  • LV11 Super Veteran (Next: 3000)
  • ***********
  • Posts: 2079
  • Rating: +439/-13
    • View Profile
    • TI-Planet
Nspire 2.1 out, don't install it!
« on: July 14, 2010, 09:26:20 pm »
TI has released OS 2.1 for the TI-Nspire and the TI-Nspire CAS.



The OS has allmost no new feature for the user. And strangely, TI has made great annoucements on their site...
I thought there were something suspectfull...


And unfortunately there is! >:(

Once you have installed OS 2.1 on your TI-Nspire ClickPad or TouchPad, you can't downgrade any more to OS 1.6 or older. So you can't use Ndless any more.

I've made many tests this evening, and I found no way to bypass that protection.


Strangely, the included boot2 is the same (1.4.1571). May be the protection has allready been there for a long time, and has just been activated by OS 2.1. Installing a 1.7/2.0 OS doesn't disable the protection. Even the maintenance menu, with "remove OS" or even "complete reformat" doesn't help.



For more information, just Google-tranlate (french):
* my news on TI-Bank -> http://ti.bank.free.fr/index.php?mod=news&ac=commentaires&id=837
* my tests on the TI-Bank forum -> http://tibank.forumactif.com/actualites-f25/os-21-sorti-t5803.htm

UPDATE by DJ Omnimaga: Moved to News section and submitted to Digg at http://digg.com/software/Texas_Instruments_takes_control_of_their_TI_Nspire_customers (I wonder what is the French equivalent of Digg). Please digg so more people in the world knows about TI actions.

UPDATE by DJ Omnimaga (July 18th 2010): Slashdot article at http://yro.slashdot.org/story/10/07/18/0152245/TI-vs-Calculator-Hobbyists-Again
« Last Edit: July 18, 2010, 12:49:05 pm by DJ Omnimaga »
TI-Planet co-admin.

Offline apcalc

  • The Game
  • CoT Emeritus
  • LV10 31337 u53r (Next: 2000)
  • *
  • Posts: 1393
  • Rating: +120/-2
  • VGhlIEdhbWUh (Base 64 :))
    • View Profile
Re: Nspire 2.1 out, don't install it!
« Reply #1 on: July 14, 2010, 09:47:48 pm »
This is sad news. :(

I knew TI would do something like this.


Offline yunhua98

  • You won't this read sentence right.
  • LV11 Super Veteran (Next: 3000)
  • ***********
  • Posts: 2718
  • Rating: +214/-12
  • Go take a dive in the River Lethe.
    • View Profile
Re: Nspire 2.1 out, don't install it!
« Reply #2 on: July 14, 2010, 10:04:54 pm »
so your nSpire is locked down?  if so, how can you delvelope Ndless 2.0 then? :(

Spoiler For =====My Projects=====:
Minor setback due to code messing up.  On hold for Contest.
<hr>
On hold for Contest.


Spoiler For ===Staff Memberships===:






Have you seen any good news-worthy programs/events?  If so, PM me with an article to be included in the next issue of CGPN!
The Game is only a demo, the code that allows one to win hasn't been done.
To paraphrase Oedipus, Hamlet, Lear, and all those guys, "I wish I had known this some time ago."
Signature Last Updated: 12/26/11
<hr>

Offline critor

  • Editor
  • LV11 Super Veteran (Next: 3000)
  • ***********
  • Posts: 2079
  • Rating: +439/-13
    • View Profile
    • TI-Planet
Re: Nspire 2.1 out, don't install it!
« Reply #3 on: July 14, 2010, 10:38:49 pm »
so your nSpire is locked down?  if so, how can you delvelope Ndless 2.0 then? :(

I don't belong to the Ndless developping team.
But yes, my Nspire is now locked to OS 1.7 or higher, and cannot run Ndless any more.

It would be nice to release Ndless for OS 1.7 now...
TI-Planet co-admin.

Offline apcalc

  • The Game
  • CoT Emeritus
  • LV10 31337 u53r (Next: 2000)
  • *
  • Posts: 1393
  • Rating: +120/-2
  • VGhlIEdhbWUh (Base 64 :))
    • View Profile
Re: Nspire 2.1 out, don't install it!
« Reply #4 on: July 14, 2010, 10:57:26 pm »
It would be nice to release Ndless for OS 1.7 now...

That would be nice now.  It is probably the best way to get back at TI. :)

Although, If we want to keep with a French Revolution theme, we should wait until August 26, the day the last part of the Declaration of the Rights of Man and of the Citizen was adopted.

Or, for us, we should right the Declaration of the Rights of Calculators and of TI-Nspire Users. :D
« Last Edit: July 14, 2010, 10:59:28 pm by apcalc »


Offline Silver Shadow

  • Beta Tester
  • LV8 Addict (Next: 1000)
  • ********
  • Posts: 817
  • Rating: +27/-7
    • View Profile
Re: Nspire 2.1 out, don't install it!
« Reply #5 on: July 15, 2010, 01:40:55 am »
This is sad news, but I was expecting something of that sort from TI. They want to have full control over the Nspires.
Former Coder of Tomorrow


Offline bwang

  • LV7 Elite (Next: 700)
  • *******
  • Posts: 634
  • Rating: +30/-11
    • View Profile
Re: Nspire 2.1 out, don't install it!
« Reply #6 on: July 15, 2010, 02:25:22 am »
Expected.
We need ndless2

Offline Lionel Debroux

  • LV11 Super Veteran (Next: 3000)
  • ***********
  • Posts: 2135
  • Rating: +290/-45
    • View Profile
    • TI-Chess Team
Re: Nspire 2.1 out, don't install it!
« Reply #7 on: July 15, 2010, 04:29:52 am »
Ndless 2 does not work properly for now.
Member of the TI-Chess Team.
Co-maintainer of GCC4TI (GCC4TI online documentation), TILP and TIEmu.
Co-admin of TI-Planet.

Offline jnesselr

  • King Graphmastur
  • LV11 Super Veteran (Next: 3000)
  • ***********
  • Posts: 2270
  • Rating: +81/-20
  • TAO == epic
    • View Profile
Re: Nspire 2.1 out, don't install it!
« Reply #8 on: July 15, 2010, 08:05:32 am »
Just curious, if we cracked the keys and installed our own OS, would this get rid of the problem, or do you think since TI is now controlling their own "valid" OS, then they would also control ours by somehow preventing them from being installed.

Offline matthias1992

  • LV6 Super Member (Next: 500)
  • ******
  • Posts: 408
  • Rating: +33/-5
    • View Profile
Re: Nspire 2.1 out, don't install it!
« Reply #9 on: July 15, 2010, 08:15:46 am »
Uh-oh this means something far more annoying. Any new Ti-Nspires most likely will have this pre-installed...
I hope there will be a OS signature crack coming soon or a new ndless.
I have never understood why TI is blocking their "own" community that much...why why why? Instead of fullfilling our wishes and making their machines twice as fast and trhice as cool they chose to go the microsoft way...eventually the'll be trhowing up so many barricades that the machine will slow down and even more, become unpractical. By blocking us they are eventually blocking themselfs!
MASM xxxxxxxxxx aborted | SADce ====:::::: 40% -Halted until further notice| XAOS =====::::: 50% -Units done| SKYBOX2D engine ========== 100% -Pre-alpha done. Need to  document it and extend |

~Those who dream by day are cognizant of much more than those who dream by night only. -Sir Edgar Allen Poe-

Offline critor

  • Editor
  • LV11 Super Veteran (Next: 3000)
  • ***********
  • Posts: 2079
  • Rating: +439/-13
    • View Profile
    • TI-Planet
Re: Nspire 2.1 out, don't install it!
« Reply #10 on: July 15, 2010, 08:21:48 am »
Uh-oh this means something far more annoying. Any new Ti-Nspires most likely will have this pre-installed...

The Nspire Computer automatically asks you if you want to upgrade to 2.1 when you connect your Nspire... Unadvised users are going to click "yes", of course... May be in the future, they could even upgrade without asking for our permission.

A new release of Ndless is strongly needed... Because soon, (in some months), a majority of Nspire calculators will have become unable to run Ndless any more.
« Last Edit: July 15, 2010, 08:22:53 am by critor »
TI-Planet co-admin.

Offline theUnnamed

  • LV3 Member (Next: 100)
  • ***
  • Posts: 63
  • Rating: +3/-3
    • View Profile
Re: Nspire 2.1 out, don't install it!
« Reply #11 on: July 15, 2010, 10:20:25 am »
It sounds like they did a bios update when moving to 2.1
I actually had an interesting thought on the subject of hacking the nspire:
Nucleus is lynx based and therefor much like andriod we should be able to root it. What is preventing us from doing that? once we root an nspire you have god rights to the machine and can get at everything.

Offline calcdude84se

  • Needs Motivation
  • LV11 Super Veteran (Next: 3000)
  • ***********
  • Posts: 2272
  • Rating: +78/-13
  • Wondering where their free time went...
    • View Profile
Re: Nspire 2.1 out, don't install it!
« Reply #12 on: July 15, 2010, 12:54:54 pm »
Given that 2.1 doesn't work on the goplat's emulator, there probably is something being done w/the BIOS.
Bad TI, bad...
"People think computers will keep them from making mistakes. They're wrong. With computers you make mistakes faster."
-Adam Osborne
Spoiler For "PartesOS links":
I'll put it online when it does something.

Offline Lionel Debroux

  • LV11 Super Veteran (Next: 3000)
  • ***********
  • Posts: 2135
  • Rating: +290/-45
    • View Profile
    • TI-Chess Team
Re: Nspire 2.1 out, don't install it!
« Reply #13 on: July 15, 2010, 02:24:52 pm »
@theUnnamed: like several of your recently posted thoughts in the other topic, this one isn't very interesting ;)
(it's good to have ideas, however - generic problem solving methods contain a "enumerate possible causes" phase)
Indeed, Nucleus is known to be a rather airtight piece of software. Better finding bugs in TI's code, which has consistently proved full of holes in the past 15 years (and keeps being so on the Nspire)... :)

2.1 non-CAS does not work on the emulator, but according to critor, 2.1 CAS does :)
But what "BIOS" are you talking about, guys ?
The boot1 is programmed at factory and isn't supposed to be changed.
The boot2 is the same as that of OS 1.7.x and 2.0. It could probably be modified after the fact by the OS or the boot1, however.
« Last Edit: July 15, 2010, 02:30:08 pm by Lionel Debroux »
Member of the TI-Chess Team.
Co-maintainer of GCC4TI (GCC4TI online documentation), TILP and TIEmu.
Co-admin of TI-Planet.

Offline critor

  • Editor
  • LV11 Super Veteran (Next: 3000)
  • ***********
  • Posts: 2079
  • Rating: +439/-13
    • View Profile
    • TI-Planet
Re: Nspire 2.1 out, don't install it!
« Reply #14 on: July 15, 2010, 02:37:34 pm »
In fact, no 2.1 OS is working on the emulator.
You can install them, but not launch them.


With OS 2.1 CAS or non-CAS and boot2 1.4, you're getting an emulator error and entering debug mode after the "loading OS" progress bar has reached 100%.

With OS 2.1 CAS and boot2 1.1, it's the same thing.

With OS 2.1 non-CAS and boot2 1.1, there seems to be a bug, as the screen freezes when the the "loading OS" progress bar reaches 100%. No error is reported. But this problem doesn't come from the emulator: the calculator is freezing too.


Is there a way on that emulator to launch the maintenance menu ?
I couldn't find a key mapped to the Home-Key.
I'd like  to install OSes 2.1 and 2.0 in 2 different flash-files, and then reformat.
That way, I would have less garbage to compare...
TI-Planet co-admin.